import java.awt.*;
import java.awt.event.*;

/** A ButtonLikeListener exactly like a java.awt.Button.
 *
 * @version 1.0, Apr 1 1996
 * @version 1.1, Nov 8 1996
 *
 *  Took out check for right-mouse button; mouse events are
 *  handled no matter which mouse button initiated the event.
 *
 * @version 1.2, Dec 20, 1996
 *
 *  Refactored for the new event handling model.
 *
 * @author  David Geary
 * @see   ImageButton
 * @see   ButtonLikeListener
 * @see   StickyButtonLikeListener
 */

public class SpringyButtonLikeListener extends ButtonLikeListener {

    SpringyButtonLikeListener (ButtonLike ib) { super (ib); }

    SpringyButtonLikeListener () { super (); }

    public void activate (ButtonLike ib) {
        disarm (ib);
        ib.processAction ();
    }

    public void arm (ButtonLike ib) {
        ib.setPressed (true);
        button_armed = true;
    }

    public void disarm (ButtonLike ib) {
        ib.setPressed (false);
        button_armed = false;
    }
}
/* <IMG SRC="/cgi-bin/counter">*/
